Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class BusinessTime

    java.lang.Object
      com.bea.wli.worklist.api.BusinessTime

All Implemented Interfaces:
  Serializable

    public final class BusinessTime

extends Object
implements Serializable

This class is used to store a business time. A business time is composed of a duration and a business calendar. A valid duration is for example 0min0hour0day. If years, months or seconds value is present user might get BusinessCalendarException.

If neither calendar name nor user name is specified the system calendar will be used. If a calendar name is specified, this calendar will be used. If a user is specified, this user's calendar will be used except if the user has no calendar, in this case the system calendar will be used.

You should not specify a user name and a calendar name at the same time.

Since:
  8.1
See Also:
  Serialized Form

Constructor Summary
`BusinessTime()`
`BusinessTime(BusinessDateTime dateTime)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCalendarName()`
`String` | `getDuration()`
`String` | `getUserName()`
`void` | `setCalendarName(String calendarName)`
`void` | `setDuration(String duration)`
`void` | `setUserName(String userName)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessTime

    public BusinessTime()

### BusinessTime

    public BusinessTime(BusinessDateTime dateTime)

Method Detail

### getDuration

    public String getDuration()

### setDuration

    public void setDuration(String duration)

### setUserName

    public void setUserName(String userName)

### getUserName

    public String getUserName()

### setCalendarName

    public void setCalendarName(String calendarName)

### getCalendarName

    public String getCalendarName()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD